Subject: Re: [manet] DLEP-17 commants part 7 (and last)

From: Rick Taylor <[email-masked]>
Date: Tue, 8 Mar 2016 18:54:32 +0000

On 07/12/15 14:49, Dearlove, Christopher (UK) wrote:
> Appendices
>
> Appendix A. What is the alternative if starting with an assumed
> address/port?

The next section - Session Initialization

>
> Appendix A Peer Discovery. I wasn’t initially clear on why the first
> Peer Discovery arrow had a different termination. No explicit comment on
> right as to PD not received.

Yes, but that kind of text makes the diagram unwieldy.  This isn't 
normative so I won't included it.

>
> Appendix A has the MAY stop in an odd place after Peer Offer received. I
> can’t see how to produce a really nice flow without three PDs. (First
> says sent, second says may send again, may give up, but not doing so
> here, third is received, produces offer. Maybe someone can do better
> than me.)

Suggestions gratefully received!

>
> Appendix B.1, TCP connect and then what? TCP acknowledgement at least?

Yes, meant to be TCP connection established

>
> Appendix B.2, is TCP close discussed in report? (is it just assumed?)

It is.

>
> Appendices B.1/B.2 TCP connect starts at single bar to no bar, TCP close
> is from double bar to double bar. Notation seems inconsistent. (And
> elsewhere double bar is used for failure.)

I have changed message failure to --->X

>
> Appendix B.5. Will the modem send a Session Termination Response after
> receiving a TCP shutdown?

Yes, it's the dreaded TCP half-close.

>
> Appendix B.8 (and elsewhere) “as above”. Reference.

Removed as above.

>
> Appendix C.1 shows we have both Destination Up and Destination Update.
> Could be confusing (especially if abbreviating).

I think this is unavoidable.

Thank you for the extensive review Chris.

Cheers,

Rick